org.aspectj.weaver.loadtime.definition

## Class Definition.ConcreteAspect

- java.lang.Object
- - org.aspectj.weaver.loadtime.definition.Definition.ConcreteAspect

Enclosing class:
  Definition

    public static class Definition.ConcreteAspect
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<Definition.DeclareAnnotation>` `declareAnnotations`
`java.util.List<Definition.DeclareErrorOrWarning>` `deows`
`java.lang.String` `extend`
`java.lang.String` `name`
`java.lang.String` `perclause`
`java.util.List<Definition.Pointcut>` `pointcuts`
`java.util.List<Definition.PointcutAndAdvice>` `pointcutsAndAdvice`
`java.lang.String` `precedence`

### Constructor Summary

Constructors
Constructor and Description
`Definition.ConcreteAspect(java.lang.String name, java.lang.String extend)`
`Definition.ConcreteAspect(java.lang.String name, java.lang.String extend, java.lang.String precedence, java.lang.String perclause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### extend

    public final java.lang.String extend

#### precedence

    public final java.lang.String precedence

#### pointcuts

    public final java.util.List<Definition.Pointcut> pointcuts

#### declareAnnotations

    public final java.util.List<Definition.DeclareAnnotation> declareAnnotations

#### pointcutsAndAdvice

    public final java.util.List<Definition.PointcutAndAdvice> pointcutsAndAdvice

#### perclause

    public final java.lang.String perclause

#### deows

    public java.util.List<Definition.DeclareErrorOrWarning> deows

### Constructor Detail

#### Definition.ConcreteAspect

    public Definition.ConcreteAspect(java.lang.String name,
                             java.lang.String extend)

#### Definition.ConcreteAspect

    public Definition.ConcreteAspect(java.lang.String name,
                             java.lang.String extend,
                             java.lang.String precedence,
                             java.lang.String perclause)